Subject: [linux-sunxi] [PATCH] pinctrl: sunxi: Honor GPIO output initial vaules

From: [email-masked] (Maxime Ripard)
Date: Wed, 15 Jan 2014 11:02:41 +0100

Hi Chen-Yu,

Nice catch :)

On Wed, Jan 15, 2014 at 04:21:12PM +0800, Chen-Yu Tsai wrote:
> Hi,
> 
> On Wed, Jan 15, 2014 at 8:37 AM, Ma Haijun <[email-masked]> wrote:
> > Hi,
> >
> > I think it is better to set the output value first to avoid glitch.
> 
> If I understand the user manual correctly, setting the output value
> before changing the pin to output function first will have no effect.

I just tested it on my A31, and it is working as expected (the output
value isn't output until the direction is changed).

It would be great if you could test this as well on your device, and
change it like suggested.

Thanks!
Maxime

-- 
Maxime Ripard, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20140115/b83fc452/attachment.sig>